#
# spec file for package mate-settings-daemon
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 1.16
Name:           mate-settings-daemon
Version:        1.16.0
Release:        1.1
Summary:        MATE session settings daemon
License:        GPL-2.0 and LGPL-2.1
Group:          System/GUI/Other
Url:            http://mate-desktop.org/
Source0:        http://pub.mate-desktop.org/releases/%{_version}/%{name}-%{version}.tar.xz
BuildRequires:  hicolor-icon-theme
BuildRequires:  mate-common >= %{_version}
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(dconf)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(libcanberra-gtk)
BuildRequires:  pkgconfig(libmatekbd) >= %{_version}
BuildRequires:  pkgconfig(libmatemixer) >= %{_version}
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libpulse-mainloop-glib)
BuildRequires:  pkgconfig(libxklavier)
BuildRequires:  pkgconfig(mate-desktop-2.0) >= %{_version}
BuildRequires:  pkgconfig(nss)
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xxf86misc)
# The default background is required as fallback.
Requires:       mate-backgrounds
# mate-settings-daemon needs a glib scheme to work correctly.
Requires:       matekbd-common
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
This package contains the daemon which is responsible for setting
the various parameters of a MATE session and the applications that
run under it.

%package devel
Summary:        MATE session settings daemon development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}

%description devel
This package contains the daemon which is responsible for setting
the various parameters of a MATE session and the applications that
run under it.

%lang_package

%prep
%setup -q

%build
NOCONFIGURE=1 mate-autogen
%configure \
  --libexecdir=%{_bindir}   \
  --disable-static          \
  --disable-schemas-install \
  --with-gtk=2.0            \
  --enable-pulse            \
  --enable-polkit
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
find %{buildroot} -type f -name "*.la" -delete -print

%post
%glib2_gsettings_schema_post
%icon_theme_cache_post
%icon_theme_cache_post mate

%postun
%glib2_gsettings_schema_postun
%icon_theme_cache_postun
%icon_theme_cache_postun mate

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB NEWS
%config %{_sysconfdir}/dbus-1/system.d/org.mate.SettingsDaemon.DateTimeMechanism.conf
%dir %{_sysconfdir}/%{name}/
%dir %{_sysconfdir}/%{name}/xrandr/
%{_sysconfdir}/xrdb/
%dir %{_datadir}/mate-control-center/
%dir %{_datadir}/mate-control-center/keybindings/
%{_sysconfdir}/xdg/autostart/mate-settings-daemon.desktop
%{_bindir}/*
%{_libdir}/mate-settings-daemon/
%{_datadir}/dbus-1/services/*.service
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/icons/hicolor/*/apps/*
%dir %{_datadir}/icons/mate/
%dir %{_datadir}/icons/mate/*/
%dir %{_datadir}/icons/mate/*/actions/
%{_datadir}/icons/mate/*/actions/*
%{_datadir}/mate-control-center/keybindings/50-accessibility.xml
%{_datadir}/%{name}/
%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy
%{_datadir}/glib-2.0/schemas/*.xml
%{_mandir}/man?/%{name}.?%{?ext_man}
%{_mandir}/man?/msd-*.?%{?ext_man}

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue Sep 20 2016 sor.alexei@meowr.ru
- Update to version 1.16.0:
  * Change default hinting style to 'hintslight'.
  * Use 'rgba' (LCD subpixel) antialiasing by default.
  * GTK+3: Add CSS theming for OSD (MsdOsdWindow) instead of using
    hardcoded colours.
  * GTK+3: Fix drawing and changing of desktop background with
    Gtk 3.21.
  * GTK+3: Fix several deprecations.
  * Fix some build warnings.
  * Update translations.
* Sun Aug 14 2016 sor.alexei@meowr.ru
- Update to version 1.14.1:
  * housekeeping: Fix thumbnails cleaning.
  * housekeeping: Fix text markup.
  * media-keys: Use gnome-calculator binary instead of old
    gcalctool.
  * Make distcheck use currently selected GTK+ version.
  * Update translations.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 1.14.0:
  * touchpad: Support edge and two-finger scrolling independently
    (use separate GSettings keys for them).
  * xsettings: Add settings for cursor theme and size.
  * Some more fixes and cleanups.
  * Update translations.
  * Fix Changelog generation.
* Mon Jan 25 2016 sor.alexei@meowr.ru
- Update to version 1.13.0:
  * Gtk3: several deprecation fixes.
  * media-keys: add setting to enable/disable OSD.
  * Fix some build warnings.
  * Drop MateConf migration script.
* Wed Jan  6 2016 sor.alexei@meowr.ru
- Add missing XInput dependency.
- Do not disable mozilla-nss for openSUSE Leap 42.1.
* Mon Nov 30 2015 sor.alexei@meowr.ru
- Update to 1.12.1:
  * xrandr: Install icon in correct directory.
  * GTK+3: Do not remove xrandr applet background (fixes invisible
    text in some themes).
- Enable smartcard support.
* Thu Nov  5 2015 sor.alexei@meowr.ru
- Update to 1.12.0:
  * Add new keybinding for logout (empty by default).
  * Retrieve strings directly from gschema (requires intltool
    0.50.1).
  * Gtk3: make XRandR tray applet support custom panel themes.
  * Some more fixes and cleanups.
* Fri Oct  9 2015 sor.alexei@meowr.ru
- Update to 1.11.0:
  * Switch to org.gnome.SessionManager.
  * touchpad: Add support for natural scrolling.
  * touchpad: Add support for two and three finger clicks.
  * mouse: Use syndaemon -K to ignore Ctrl+C and other combos.
  * mouse: Use event driven mode for syndaemon, save some power.
* Wed Sep  2 2015 sor.alexei@meowr.ru
- Update to 1.10.2:
  * a11y: Do not use ancient properties.
  * housekeeping: Do not monitor fdescfs (special FS in FreeBSD).
  * keyboard: Connect to libmatekbd's GSettings before reading them.
  * mouse: Use event driven mode for syndaemon, save some power.
* Mon Jul 13 2015 sor.alexei@meowr.ru
- Update to 1.10.1:
  * Fix media keys issue with multiple players.
  * Add some missing manpages.
  * Update translations.
* Wed Apr 15 2015 p.drouand@gmail.com
- Update to version 1.10.0
  * No changes since version 1.9.90
* Mon Mar 23 2015 p.drouand@gmail.com
- Update to version 1.9.90 (unstable)
  * Bugfixes release
* Thu Jan 22 2015 p.drouand@gmail.com
- Update to version 1.9.6 (unstable)
  * Adapt to mate-desktop MateRR* API changes.
* Sun Nov 23 2014 p.drouand@gmail.com
- Update to version 1.9.5 (unstable)
  + No changelog available (entries not updated)
* Tue Nov 11 2014 p.drouand@gmail.com
- Update to version 1.9.4 (unstable)
  + Port media-keys plugin to libmatemixer
  + Remove GStreamer bits, make libmatemixer, libcanberra and PulseAudio
    optional dependencies
- Add libmatemixer-devel build requirement; new dependency
* Fri Oct  3 2014 p.drouand@gmail.com
- Update to version 1.8.2
  + mpris: Replace googlemusicframe with nuvolaplayer
  + Update schema to use toggle shell script
* Sat Jul 19 2014 p.drouand@gmail.com
- Build with pulseaudio support
- Disable gstreamer support
- Remove useless gstreamer requirements
* Sat May 10 2014 p.drouand@gmail.com
- Update to version 1.8.1
  + added support for Gtk/DecorationLayout for GTK3 CSD windows
* Wed Mar  5 2014 p.drouand@gmail.com
- Update to version 1.8.0
  + no changes since version 1.7.90
* Wed Feb 19 2014 p.drouand@gmail.com
- Update to version 1.7.90
  + add GTK3 support
  + add Middle Click Emulation to mouse manager
* Mon Feb 10 2014 p.drouand@gmail.com
- Update to version 1.7.1
  + keyboard: Fix GTK3 support
  + xrandr: Fix gdk_spawn_command_line_on_screen usage with GTK3
  + update translations
  + add Middle Click Emulation to mouse manager
  + fix makefile
- Changes from version 1.7.0
  + no changes since version 1.6.2
* Tue Dec 31 2013 p.drouand@gmail.com
- Update to version 1.6.2
  + Fixes and cleanups
  + Add dist-hook for auto Changelog generation
  + Change INCLUDES for AM_CPPFLAGS
  + Silence autofoo warning
  + housekeeping: Support new thumbnails path for newer glib versions
    Closes #51 (https://github.com/mate-desktop/mate-settings-daemon/issues/51)
  + Update schema to use toggle shell script
  + media-keys: Fix terminal GSettings key name
* Wed Dec 18 2013 p.drouand@gmail.com
- mate-settings-daemon is licensed under LGPLv2.1; change it in spec
* Thu Sep 19 2013 p.drouand@gmail.com
- Don't use %%exclude macro; remove unwanted file instead
- Use %%{_libdir} instead of %%{_prefix}/%%{_lib} in --libdir configure
  option
* Thu Sep 12 2013 p.drouand@gmail.com
- Remove rpmlintrc file; Date and time change service is now allowed
  (bnc#831404)
* Tue Jun 25 2013 johann.luce@wanadoo.fr
- Update to version 1.6.1
    + fixes for make dist
    + keyboard: Allow to disable indicators in GSettings
    + init libnotify in mate-settings-daemon, not in plugins
* Wed Apr  3 2013 johann.luce@wanadoo.fr
- Update to version 1.6.0
  + Add Recommends:     %%{name}-lang = %%{version}-%%{release}
  + fix copyright mpris holders
  + fix typo in comment
  + remove unused variables
  + update translations
* Sat Mar 23 2013 p.drouand@gmail.com
- Update to version 1.5.7
  + Make GSettings schemas translatable
  + Add MPRIS plugin
  + Register mate-settings-daemon as client of org.mate.SessionManager
  + Remove code to become a daemon
    It is not needed and it creates issues in some distributions
* Sun Mar 10 2013 nmo.marques@gmail.com
- Update to version 1.5.6
  + use libnotify instead of libmatenotify
  + keybindings module migration to GSettings
  + fix segfault on resolution change
  + updated translations
  + minor fixes
- Remove Fix-missing-void-keyword-in-real_draw_bg-function.patch,
  fixed on upstream release
* Sun Mar  3 2013 p.drouand@gmail.com
- Add Requires: matekbd-common to fix a glib error when launching
  mate-settings-daemon
* Sun Feb 17 2013 p.drouand@gmail.com
- Add Requires: mate-backgrounds to avoid CPU 100%% usage bug
* Sat Feb  9 2013 p.drouand@gmail.com
- Add Fix-missing-void-keyword-in-real_draw_bg-function.patch
  Fix build
* Fri Feb  8 2013 p.drouand@gmail.com
- Update to version 1.5.5
  + fix schema path deprectations and remove unused constant
  + mouse: remove deprecated gdk_drawable_get_size & gdk_drawable_get_screen
    since required GTK 2.24, gdk_window_get_width() can be directly use
    gdk_window_get_width(), gdk_window_get_height(), and gdk_window_get_screen()
  + keyboard:
  - don't use deprecated gdk_spawn API use gdk_display_get_app_launch
    _context() on GTK3 gdk_app_launch_context_new() on GTK2 instead
  - add g_strv_behead, reduce code & fix filter_xkb_config()
    fixes compiler warning: 'i' may be used uninitialized in this function
    Indeed, rather than initializing 'i' to zero, 'lv' (char arr of **lv) was
    erroneously being assigned the value of 0 in the for loop's initialization.
    g_strv_behead copied from gkbd_strv_behead from libgnomekbd/gkbd-util.c
    For reference: Using shared gkbd_strv_* utility functions, reducing the code
  - fix g_format_size_for_display deprecation (GLIB 2.30)
  - don't cast dialog to GTK_OBJECT on GTK3
  - give a name to the keyboard status icon
  + replace deprecations, use GDK X11 API, bump GTK+ to 2.24
  + restore preference for volume step instead of hardcoding it
* Mon Dec  3 2012 nmo.marques@gmail.com
- Update to version 1.5.4
  + use new MATE_BG_KEY's defines from mate-bg.h
  + fix XGetWindowProperty long_length & nitems_return
    params
  + check for caja is drawing bg when detecting settings
  + listen for draw-background/show-desktop-icons
  + GCC 4.6 warning fixes
  + bump to GIO 2.26.0
  + backgorund convert to GDBus (and fix delayed background
    drawing
  + review GSettings, don't rely on Caja as a key component
  + other fixes
* Wed Nov 14 2012 nmo.marques@gmail.com
- Use polkit-gobject-1 instead of polkit-backend-1 in BRs.
* Mon Nov 12 2012 nmo.marques@gmail.com
- /etc/mate-settings-daemon/xrandr was being created but not
  packaged. Fixing this.
* Sat Oct 27 2012 nmo.marques@gmail.com
- Update to version 1.5.3
  + disable accessibility keybindings file
  + fix enum in schema
* Tue Oct 23 2012 nmo.marques@gmail.com
- Update to version 1.5.2
  + add enums to gsettings schema
  + fix 64bit portability issues
- Remove mate-settings-daemon-1.5.1-fix_64bit_portability.patch,
  fixed upstream
* Wed Oct 17 2012 nmo.marques@gmail.com
- Add mate-settings-daemon-1.5.1-fix_64bit_portability.patch: fix
  regression, taken from upstream
* Wed Oct 17 2012 nmo.marques@gmail.com
- Update to version 1.5.1
  + fix compiler warnings and errors
  + fix memory leaks
- Remove mate-settings-daemon-1.5.0-fix_memory_leak.patch
  upstreamed
- Remove mate-settings-daemon-1.5.0-fix_compiler_warning.patch
  upstreamed
- Replace pulse for gstreamer dependencies and add configure
  options to use gstreamer instead of pulse
* Tue Oct 16 2012 nmo.marques@gmail.com
- Add mate-settings-daemon-1.5.0-fix_memory_leak.patch: fix memory
  leak crashing mate-settings-daemon
* Mon Oct 15 2012 nmo.marques@gmail.com
- Add pkgconfig(ice) and pkgconfig(SM) to BRs
* Wed Oct 10 2012 nmo.marques@gmail.com
- Update to version 1.5.0
  + drop mateconf and move to gsettings
- Remove mateconf-2.0 and macros and move to gsettings
- Add mate-settings-daemon-1.5.0-fix_compiler_warning.patch: fix
  compiler warning that breaks builds on OBS :)
* Sat Sep  8 2012 nmo.marques@gmail.com
- Update to version 1.4.0
- copypac to X11:MATE
  + minor cosmetic fixes
* Sun Jun 17 2012 nmo.marques@gmail.com
- Update to version 1.2.0
  + move spec to use mateconf macros and cleanups
* Sun Jan 22 2012 nmo.marques@gmail.com
- Initial package from version 1.1.0
